diff --git a/modules/reindex/src/test/java/org/elasticsearch/index/reindex/ReindexFailureTests.java b/modules/reindex/src/test/java/org/elasticsearch/index/reindex/ReindexFailureTests.java
index 929d62e089188..9cdf795bef47a 100644
--- a/modules/reindex/src/test/java/org/elasticsearch/index/reindex/ReindexFailureTests.java
+++ b/modules/reindex/src/test/java/org/elasticsearch/index/reindex/ReindexFailureTests.java
@@ -90,7 +90,6 @@ public void testAbortOnVersionConflict() throws Exception {
      * the whole process. We do lose some information about how far along the
      * process got, but its important that they see these failures.
      */
-    @AwaitsFix(bugUrl = "https://github.com/elastic/elasticsearch/issues/49295")
     public void testResponseOnSearchFailure() throws Exception {
         /*
          * Attempt to trigger a reindex failure by deleting the source index out
@@ -122,7 +121,8 @@ public void testResponseOnSearchFailure() throws Exception {
                         either(containsString("all shards failed"))
                         .or(containsString("No search context found"))
                         .or(containsString("no such index [source]"))
-                        );
+                        .or(containsString("Failed to execute phase [query], Partial shards failure"))
+                );
                 return;
             }
         }
